{: test that string compare causes a compilation error
   if the strings have different sizes}

program e1083( output );

type
   str = packed array[1..10] of char;
   longstr = packed array[1..100] of char;

var
   s : str;
   l : longstr;
   b : boolean;
begin { e1083 }

   b := s = l;        {!!! different sizes}
end. { e1083 }

